singleton Material(estcolorado)
{
	mapTo = "estcolorado";
	diffuseMap[2] = "vehicles/estcolorado/estcolorado_c.dds";
    diffuseMap[1] = "vehicles/estcolorado/estcolorado_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    doubleSided = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
}; 

singleton Material(estcolorado_glass)
{
	mapTo = "estcolorado_glass";
	diffuseColor[0] = "1 1 1 0.7";
	diffuseMap[0] = "vehicles/estcolorado/glass.dds";
	opacityMap[0] = "vehicles/common/null.dds";
	specularMap[0] = "vehicles/common/null.dds";
	normalMap[0] = "vehicles/common/null_n.dds";
    specular[0] = "0.1 0.1 0.1 0";
    specularPower[0] = "128";
    doubleSided = "0";
    translucentBlendOp = "Sub";
    translucent = "1";
    cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_glass_dmg)
{
    mapTo = "estcolorado_glass_dmg";
    diffuseMap[0] = "vehicles/estcolorado/razbitoe-steklo-25.png";
    opacityMap[0] = "vehicles/estcolorado/glass.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/estcolorado/razbitoe-steklo-25.png";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcolorado_windshield_dmg)
{
    mapTo = "estcolorado_windshield_dmg";
    diffuseMap[0] = "vehicles/estcolorado/razbitoe-steklo-25.png";
    opacityMap[0] = "vehicles/estcolorado/glass.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/estcolorado/razbitoe-steklo-25.png";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcolorado_white)
{
   mapTo = "estcolorado_white";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/black.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_grises)
{
   mapTo = "estcolorado_grises";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/grises.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_lights)
{
   mapTo = "estcolorado_lights";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/vehiclelights.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_lights_on)
{
   mapTo = "estcolorado_lights_on";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   emissive[0] = "1";
	glow[0] = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/vehiclelights_on.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_lights_on_intense)
{
   mapTo = "estcolorado_lights_on_intense";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   emissive[0] = "1";
	glow[0] = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/vehiclelights_on_intense.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_undercarriage)
{
   mapTo = "estcolorado_undercarriage";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/undercarriage.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_carbon)
{
   mapTo = "estcolorado_carbon";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/carbon.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_speaker)
{
   mapTo = "estcolorado_speaker";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/speaker.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_leather)
{
   mapTo = "estcolorado_leather";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/leather.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_grille2)
{
   mapTo = "estcolorado_grille2";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/estcolorado/grille2.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_lcao)
{
   mapTo = "estcolorado_lcao";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucent = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/estcolorado/lcao.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_badges)
{
   mapTo = "estcolorado_badges";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucent = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/estcolorado/badges.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_symbols)
{
   mapTo = "estcolorado_symbols";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucent = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/estcolorado/symbols.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_gauges)
{
   mapTo = "estcolorado_gauges";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucent = "0";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/estcolorado/vehiclelights.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_gauges_on)
{
   mapTo = "estcolorado_gauges_on";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucent = "0";
   emissive[0] = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/estcolorado/vehiclelights_on.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_lstitches)
{
   mapTo = "estcolorado_lstitches";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucent = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/estcolorado/lstitches.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_lstitches)
{
   mapTo = "estcolorado_lstitches";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucent = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/estcolorado/lstitches.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_emblem)
{
   mapTo = "estcolorado_emblem";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucent = "1";
   translucentBlendOp = "Add";
   diffuseMap[0] = "vehicles/estcolorado/emblem.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(estcolorado_gps_screen)
{
    mapTo = "estcolorado_gps_screen";
    diffuseMap[0] = "@estcolorado_gps_screen";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(estcolorado_mirror)
{
	mapTo = "estcolorado_mirror";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};